Summary: RPM Auto-Installer or FTP Mirrorer
Name: autorpm
Version: 1.8.1
Release: 1
Packager: Red Hat Contrib|Net <rhcn-bugs@redhat.com>
Vendor: Kirk Bauer <kirk@kaybee.org>
Copyright: GPL
Group: Utilities/System
Distribution: Red Hat Contrib|Net
URL: http://www.kaybee.org/~kirk/html/linux.html
Source: ftp://ftp.kaybee.org/pub/linux/autorpm-1.8.1.tar.gz
Requires: perl,rpm,dialog,mailx,perl-libnet
BuildRoot: /tmp/autorpm-build
BuildArch: noarch

%changelog

* Wed Nov 18 1998 Kirk Bauer <kirk@kaybee.org>

- Modified to comply with RHCN standards

* Sun Mar 08 1998 Kirk Bauer <kirk@kaybee.org>

- initial release

%description
AutoRPM is a program that can do any combination of the following: mirror RPMs
from  an  FTP  site,  keep installed RPMs consistent with an FTP site or local
directory, and keep installed RPMs in a cluster or network of systems  consis-
tent.   It  is  highly  flexible  and even contains  a very  nice, menu-driven
Interactive-Install mode.


%prep
%setup

%build

%install
install -m 0755 -d ${RPM_BUILD_ROOT}/var/spool/autorpm

install -m 0755 -d ${RPM_BUILD_ROOT}/usr/sbin
install -m 0755 autorpm.pl ${RPM_BUILD_ROOT}/usr/sbin/autorpm

install -m 0755 -d ${RPM_BUILD_ROOT}/etc
install -m 0600 autorpm.conf ${RPM_BUILD_ROOT}/etc/autorpm.conf.sample

install -m 0755 -d ${RPM_BUILD_ROOT}/usr/man/man5
install -m 0755 -d ${RPM_BUILD_ROOT}/usr/man/man8
install -m 0644 autorpm.conf.5 ${RPM_BUILD_ROOT}/usr/man/man5
install -m 0644 autorpm.8 ${RPM_BUILD_ROOT}/usr/man/man8

install -m 0755 -d ${RPM_BUILD_ROOT}/etc/cron.daily
rm -f ${RPM_BUILD_ROOT}/etc/cron.daily/autorpm

ln -s ../../usr/sbin/autorpm ${RPM_BUILD_ROOT}/etc/cron.daily/autorpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo
echo "NOTE:  AutoRPM will not do anything unless you create an /etc/autorpm.conf"
echo "       See /etc/autorpm.conf.sample for an example config..."
echo
echo "Mailing Lists Now Available, See"
echo "   /usr/doc/autorpm-*/README"
echo

%files
%attr(-,root,root) %doc COPYING README samples.conf CHANGES CREDITS TODO
%attr(-,root,root) %dir /var/spool/autorpm
%config(missingok) %attr(-,root,root) /etc/autorpm.conf.sample
%attr(-,root,root) /usr/sbin/autorpm
%attr(-,root,root) %doc /usr/man/man5/autorpm.conf.5
%attr(-,root,root) %doc /usr/man/man8/autorpm.8
%attr(-,root,root) /etc/cron.daily/autorpm

